Bug 1419951 - After closing the browser tripleo-ui doesn't ask for credentials and logs in the user
Summary: After closing the browser tripleo-ui doesn't ask for credentials and logs in ...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-ui
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Jason E. Rist
QA Contact: Ola Pavlenko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 13:43 UTC by Ola Pavlenko
Modified: 2017-03-15 15:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-15 15:51:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ola Pavlenko 2017-02-07 13:43:07 UTC
Description of problem:

Closing the browser and then navigating again to tripleo-ui should ask for creds agan and to not allow the user in.

Version-Release number of selected component (if applicable):

openstack-tripleo-ui-2.0.1-0.20170126144317.f3bd97e.el7ost.noarch

How reproducible:

Steps to Reproduce:
1.Log in to tripleo-ui and perform any actions
2. Close the browser 
3.open the browser and navigate to tripleo-ui

Actual results:
User is able to access without providing creds

Expected results:
user should not be bale to access without providing creds 

Additional info:

Comment 1 Ola Pavlenko 2017-02-15 15:37:16 UTC
Happened after rebooted my laptop

Comment 2 Ana Krivokapic 2017-03-13 13:46:36 UTC
Do we actually want this? I think most websites will allow you to close the browser and come back and your session will still be active. Usually you have to explicitly log out.

Comment 3 Ola Pavlenko 2017-03-14 19:50:31 UTC
same behavior after rebooting undercloud node.

Comment 4 Ola Pavlenko 2017-03-15 15:51:56 UTC
tested on puddle from March 14


Note You need to log in before you can comment on or make changes to this bug.